import 'dart:convert';

import 'package:marianum_mobile/api/requestCache.dart';
import 'package:marianum_mobile/api/webuntis/queries/getHolidays/getHolidays.dart';
import 'package:marianum_mobile/api/webuntis/queries/getHolidays/getHolidaysResponse.dart';

class GetHolidaysCache extends RequestCache<GetHolidaysResponse> {
  GetHolidaysCache({onUpdate}) : super(60 * 60, onUpdate) {
    start("holidays", "data");
  }

  @override
  Future<GetHolidaysResponse> onLoad() {
    return GetHolidays().run();
  }

  @override
  GetHolidaysResponse onLocalData(String json) {
    return GetHolidaysResponse.fromJson(jsonDecode(json));
  }
}